#pragma once

// CWaitThread

class CWaitDialog;
class CWaitThread : public CWinThread
{
	DECLARE_DYNCREATE(CWaitThread)

public:
	CWaitThread(
        CString sMessage = CString(_T("")),
        CWnd*   pParent = NULL
        );
	virtual ~CWaitThread();

public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();

protected:
	DECLARE_MESSAGE_MAP()
public:
    CWaitDialog* m_pWaitDialog;
    CString m_sMessageText;
    CWnd* m_pParent;
};
